Subject: Re: [PATCH v2 1/6] submodule--helper: use submodule_from_path in set-{url,branch}

From: Junio C Hamano <[email-masked]>
Date: Wed, 22 Nov 2023 16:54:33 +0900

"Jan Alexander Steffens (heftig)" <[email-masked]> writes:

> Notes:
>     v2 changes:
>         - fixed code style
>         - replaced potentially unsafe use of `sub->path` with `path`

Hasn't the previous iteration of this topic long been merged to not
just 'next' but to 'master' and appears in a released version of Git?

We are all human, so mistakes are inevitable, but if we discover a
mistake that needs fixing after a topic hits 'next', we take it as a
sign that the particular mistake was easy to make and hard to spot,
and the fix for it deserves its own explanation.  Please make an
incremental update on top of what has already been merged with a
good explanation (explain why sub->path is "potentially unsafe" and
why using path is better, for example).

Thanks.